// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node.h"
#include "SCW_UEdGraphNode.h"

class UK2Node;

namespace Sourcify
{
	class SCW_UK2Node : public SCW_UEdGraphNode, public virtual ISCW_UK2Node
	{
	public:
		SCW_UK2Node(UK2Node* InK2Node);

		ISCW_UClassPtr GetBlueprintClassFromNode() const override;

		ISCW_UEdGraphPinPtr GetExecPin() const override;

		ISCW_UEdGraphPinPtr GetThenPin() const override;

		UK2Node* ToUK2Node() const;

	protected:
		UK2Node* K2Node;
	};
} // namespace Sourcify